WriterPlsParserInternal::Line Struct Reference

Internal: class to store the line properties. More...

## Public Member Functions

| Line ()

## Public Attributes

int | m_firstChar
| the first character
int | m_height
| the height
int | m_width
| the width
int | m_maxFontSize
int | m_flags [4]
| the maximum font size

## Friends

std::ostream & | operator<< (std::ostream &o, Line const &l)
| operator<<

## Detailed Description

Internal: class to store the line properties.

## Constructor & Destructor Documentation

## Line()

WriterPlsParserInternal::Line::Line | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Line const & | l )

friend

operator<<

## Member Data Documentation

## m_firstChar

int WriterPlsParserInternal::Line::m_firstChar

the first character

Referenced by Line(), operator<<, and WriterPlsParser::readLines().

## m_flags

int WriterPlsParserInternal::Line::m_flags[4]

the maximum font size

some flag

Referenced by Line(), operator<<, and WriterPlsParser::readLines().

## m_height

int WriterPlsParserInternal::Line::m_height

the height

Referenced by Line(), operator<<, and WriterPlsParser::readLines().

## m_maxFontSize

int WriterPlsParserInternal::Line::m_maxFontSize

Referenced by Line(), and WriterPlsParser::readLines().

## m_width

int WriterPlsParserInternal::Line::m_width

the width

Referenced by Line(), operator<<, and WriterPlsParser::readLines().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx